/* === Carte produit personnalisée === */
.ma-carte-produit {
    position: relative;
    overflow: hidden;
    transition: all 0.3s ease;
    padding: 15px;
    box-shadow: 0px 3px 15px rgba(0,0,0,0.2);
}



/* Conteneur images */
.product-image-wrap {
    position: relative;
    display: block;
    width: 100%;
}

/* === Logo marque === */
/* === Logo marque === */
.eael-brand-shortcode {
    position: absolute;
    padding: 0;
    margin: 0;

    width: 30%;
    height: 20%;

    z-index: 10;
    background-color: #f3f3f3;

    display: flex;
    align-items: center;
    justify-content: start;

    overflow: hidden;
}

/* Image logo */
.eael-brand-shortcode img {
    max-width: 90%;
    max-height: 90%;
    padding:3%;
    width: auto;
    height: auto;

    object-fit: contain;
    display: block;
}

/* === Flip image produit === */
.flip-image-wrap {
    position: relative;
    display: block;
    width: 100%;
    padding-top: 100%; /* ratio 1:1 */
    overflow: hidden;
}

.flip-image-wrap img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    transition: opacity 0.4s ease, transform 0.4s ease;
    backface-visibility: hidden;
}

.flip-image-wrap .front-image { 
    z-index: 2; 
    opacity: 1; 
}

.flip-image-wrap .back-image { 
    z-index: 1; 
    opacity: 0; 
}

.flip-image-wrap:hover .front-image {
    opacity: 0;
}

.flip-image-wrap:hover .back-image {
    opacity: 1;
}



#infinite-scroll-trigger {
    height: 50px;
}

#infinite-loading {
    text-align: center;
    padding: 20px;
    color: #666;
}

#infinite-loading::after {
    content: '';
    display: inline-block;
    width: 20px;
    height: 20px;
    border: 2px solid #f3f3f3;
    border-top: 2px solid #007cba;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

.colors-swatches-only{
    position: absolute;
    bottom: -8px;
    right: 8px;

    z-index: 20;

    display: flex;
    gap: 4px;

}

.colors-swatches-only ul,
.colors-swatches-only .variable-items-wrapper{
    display: flex;
    gap: 2px;
    margin: 0;
    padding: 0;
    border:0px;
    pointer-events: none;
}

.woo-variation-swatches .variable-items-wrapper .variable-item:not(.radio-variable-item){
    border-radius: 0px !important;
    border:0px !important;
    background-color: transparent !important;
}

/*Product archive cards*/ 


/*Description*/ 

.price{
    font-family: Tex Gyre Adventor;
    font-size: 1.1em;
    font-weight:800;
}

.product-details-wrap {
    max-width: 100%;
    padding-top: 15px;
    display: flex;
    flex-direction: row-reverse;       
    justify-content: space-between; 
    align-items: center;    
}

.woocommerce-loop-product__title {
    padding: 0;
    margin: 0;
    font-family: "TeX Gyre Adventor";
    font-size: 1em !important;
    line-height: inherit;
    font-weight: inherit;
    text-align: inherit;

    min-width: 60%;

    overflow-wrap: break-word;
    word-break: break-word;

    hyphens: auto;
    -webkit-hyphens: auto;
    -ms-hyphens: auto;
}

.eael-brandname-shortcode{
    font-family: Tex Gyre Adventor;
    font-size: 0.8em;
    font-weight: 700;
}

.woocommerce ul.products {
    display: grid !important;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 20px;

    height: auto !important;
}

.woocommerce ul.products li.product {
    float: none !important;
    width: 100% !important;
    margin: 0 !important;
}

.woocommerce ul.products {
    overflow: visible !important;
}